{
  "config": {
	"platform": {
		"php": "8.1.17"
	}
  },
  "autoload-dev": {
    "psr-4": {
      "OCP\\": "vendor/christophwurst/nextcloud/OCP",
      "OCA\\CSPEditor\\": "lib/"
    }
  },
  "scripts": {
    "cs:check": "php-cs-fixer fix --dry-run --diff",
    "cs:fix": "php-cs-fixer fix",
    "lint": "find . -name \\*.php -not -path './vendor/*' -not -path './build/*' -not -path './tests/integration/vendor/*' -print0 | xargs -0 -n1 php -l",
    "psalm": "psalm --threads=1",
    "psalm:update-baseline": "psalm --threads=1 --update-baseline --set-baseline=tests/psalm-baseline.xml",
    "psalm:clear": "psalm --clear-cache && psalm --clear-global-cache",
    "psalm:fix": "psalm --alter --issues=InvalidReturnType,InvalidNullableReturnType,MissingParamType,InvalidFalsableReturnType",
  	"test": "phpunit -c phpunit.xml --fail-on-warning"
  },
  "require": {
	"php": ">=8.1",
	"ext-json": "*"
  },
  "require-dev": {
	"roave/security-advisories": "dev-master",
	"nextcloud/coding-standard": "^1.0.0",
	"vimeo/psalm": "^6.2.0",
  	"nextcloud/ocp": "^v29.0.0",
	"christophwurst/nextcloud_testing": "^1.0.0",
	"phpunit/phpunit": "^10.5.44",
	"psalm/plugin-phpunit": "^0.19.0"
  }
}
